%global modname qalsadi
%global distname qalsadi

Name:				python-%{modname}
Version:			0.1
Release:			11%{?dist}
Summary:			Arabic Morpholocgical Analyzer
Summary(ar):		محلّل بنيوي في العربية
Group:				Applications/Publishing
License:			GPLv1
URL:				https://pypi.python.org/pypi/%{distname}
Source:				https://pypi.python.org/packages/source/q/%{distname}/%{distname}-%{version}.zip
BuildArch:			noarch
BuildRequires:		python2-devel
BuildRequires:		python2-setuptools

%global _description\
Arabic language text Morpholocgical Analyzer to be used by Python.

%global _description_ar\
أداة تحليل في اللّغة العربية للاستخدام ضمن بيئة بيثون.

%description %_description
%description -l ar %_description_ar

%package -n python2-%{modname}
Summary:			Arabic Morpholocgical Analyzer
Summary(ar):		محلّل بنيوي في العربية
%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname} %_description
%description -n python2-%{modname} -l ar %_description_ar

%prep
%setup -q -n %{distname}-%{version}
#Site of files just for including:
sed -i 's:#!/usr/bin/python::g' %{modname}/*

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%files -n python2-%{modname}
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{distname}-%{version}*

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 27 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1-9
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Aug 10 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1-8
- Python 2 binary package renamed to python2-qalsadi
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jan 11 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.1-1
- Initial build.
